Vapi Metadata Cli Command list

Vapi Metadata Cli Command list

Returns the identifiers of all commands, or commands in a specific namespace.

Request
URI
GET
https://{host}/api/vapi/metadata/cli/command
COPY
Query Parameters
string
path
Optional

The dot-separated path of the namespace for which command identifiers should be returned.

If missing or null identifiers of all commands registered with the infrastructure will be returned.


Authentication
This operation uses the following authentication methods.
Responses
200

Identifiers of the requested commands.

[
    {
        "path": "string",
        "name": "string"
    }
]
array of object
Optional

The Vapi Metadata Cli Command Identity schema uniquely identifies a command in the CLI commands tree.


404

if a namespace corresponding to path doesn't exist.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vapi/metadata/cli/command